MessageProducerConsumerKey (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.resource.jms
Class MessageProducerConsumerKey

    java.lang.Object
      bitronix.tm.resource.jms.MessageProducerConsumerKey

    public class MessageProducerConsumerKey

extends Object

JMS destination wrapper optimized for use with hashed collections where it is the key and a `MessageProducer` or a `MessageConsumer` is the value.

Author:
  lorban

Constructor Summary
`MessageProducerConsumerKey(javax.jms.Destination destination)`
`MessageProducerConsumerKey(javax.jms.Destination destination, String messageSelector)`
`MessageProducerConsumerKey(javax.jms.Destination destination, String messageSelector, boolean noLocal)`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageProducerConsumerKey

    public MessageProducerConsumerKey(javax.jms.Destination destination)

### MessageProducerConsumerKey

    public MessageProducerConsumerKey(javax.jms.Destination destination,
                                      String messageSelector)

### MessageProducerConsumerKey

    public MessageProducerConsumerKey(javax.jms.Destination destination,
                                      String messageSelector,
                                      boolean noLocal)

Method Detail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.